#include <eeprom8252.h>
#include <reg8252.h>

//adres pamici eeprom (w obszarze pamici MOVX)
xdata char *e2addr = 0;

//odczyt bajtu z eeprom; funkcja zwraca odczytany bajt danych
char ee_getbyte(WORD ADDRESS)
{
	BYTE temp;
	
	WMCON &= 0xE7;						//tryb odczytu eeprom
	WMCON |= 0x08;
	temp = *(e2addr+ADDRESS);		//odczyt bajtu
	WMCON &= 0xE7;						//wyczenie eeprom
	return (temp);
}

//zapis bajtu do eeprom
void ee_savebyte(BYTE B, WORD ADDRESS)
{
	WMCON |= 0x18;						//wczenie trybu zapisu eeprom
	*(e2addr+ADDRESS) = B;			//przesanie bajtu do zapisu
	while (!(WMCON & 0x02));		//oczekiwanie na gotowo eeprom
	WMCON &= 0xE7;						//wyczenie eeprom
}

 
